GearmanWorker::addOptions
GearmanWorker::addServers
GearmanWorker
PHP Manual

# GearmanWorker::addServer

(PECL gearman >= 0.5.0)

GearmanWorker::addServer — Add a job server

### Description

public bool GearmanWorker::addServer ([ string `$host` = 127.0.0.1 [, int `$port` = 4730 ]] )

Adds a job server to this worker. This goes into a list of servers than can be used to run jobs. No socket I/O happens here.

### Parameters

`host`

  The job server host name.

`port`

  The job server port.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Add alternate Gearman servers

`<?php
$worker= new GearmanWorker();
$worker->addServer("10.0.0.1");
$worker->addServer("10.0.0.2", 7003);
?>`

### See Also

- GearmanWorker::addServers - Add job servers

GearmanWorker::addOptions
GearmanWorker::addServers
GearmanWorker
PHP Manual